import { ViewContainerRef, TemplateRef, Renderer2, OnInit, OnDestroy } from '@angular/core';
import { Overmind } from 'overmind';
export declare const OVERMIND_INSTANCE: any;
export declare class OvermindTrackDirective implements OnInit, OnDestroy {
    protected templateRef: TemplateRef<any>;
    protected viewContainer: ViewContainerRef;
    protected renderer: Renderer2;
    protected templateBindings: {};
    protected dispose: any;
    protected view: any;
    protected tree: any;
    protected componentDetails: any;
    protected component: any;
    protected overmind: any;
    track: any;
    constructor(templateRef: TemplateRef<any>, viewContainer: ViewContainerRef, renderer: Renderer2, overmind: Overmind<any>);
    rescope(): void;
    ngOnInit(): void;
    private onUpdate;
    ngOnDestroy(): void;
}
