import { IConfiguration, Overmind } from 'overmind';
export declare class OvermindService<Config extends IConfiguration> {
    private overmind;
    actions: Overmind<Config>['actions'];
    effects: Overmind<Config>['effects'];
    addMutationListener: Overmind<Config>['addMutationListener'];
    reaction: Overmind<Config>['reaction'];
    constructor(overmind: Overmind<Config>);
    select<T>(expr: (state: Overmind<Config>['state']) => T): T;
    select(): Overmind<Config>['state'];
}
